scala.xml
class NodeSeq

[source: `scala/xml/NodeSeq.scala`]

`abstract` `class` NodeSeq
  `extends` Seq[Node]

  This class implements a wrapper around `Seq[Node]` that adds XPath and comprehension methods.

Author
  Burak Emir
Version
  1.0

Direct Known Subclasses:
  Document, Node

Method Summary
`def` | \ (that : java.lang.String) : NodeSeq Projection function. Similar to XPath, use `this \ "foo"` to get a list of all elements of this sequence that are labelled with `"foo"`. Use `\ "_"` as a wildcard. The document order is preserved.
`def` | \\ (that : java.lang.String) : NodeSeq projection function. Similar to XPath, use `this \\ 'foo` to get a list of all elements of this sequence that are labelled with `"foo"`. Use `\\ "_"` as a wildcard. The document order is preserved.
`def` | apply (i : Int) : Node
`def` | apply (f : (Node) => Boolean) : NodeSeq
`override def` | elements : Iterator[Node] Creates a new iterator over all elements contained in this object.
`override def` | equals (x : Any) : Boolean structural equality
`def` | length : Int Returns the length of the sequence.
`def` | text : java.lang.String
`abstract def` | theSeq : Seq[Node]
`override def` | toString : java.lang.String

Methods inherited from Seq
lengthCompare, size, isEmpty, concat, last, lastOption, headOption, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, slice, takeWhile, dropWhile, reverse, contains, subseq, toArray, projection, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
partition, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, hashCode, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`abstract` `def` theSeq : Seq[Node]

`` `def` length : Int

  Returns the length of the sequence.

Returns
  the sequence length.

Overrides
  Seq.length

`override` `def` elements : Iterator[Node]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

`` `def` apply(i : Int) : Node

`` `def` apply(f : (Node) => Boolean) : NodeSeq

`override` `def` equals(x : Any) : Boolean

  structural equality

`` `def` \(that : java.lang.String) : NodeSeq

  Projection function. Similar to XPath, use `this \ "foo"` to get a list of all elements of this sequence that are labelled with `"foo"`. Use `\ "_"` as a wildcard. The document order is preserved.

Parameters
  `that -` ...
Returns
  ...

`` `def` \\(that : java.lang.String) : NodeSeq

  projection function. Similar to XPath, use `this \\ 'foo` to get a list of all elements of this sequence that are labelled with `"foo"`. Use `\\ "_"` as a wildcard. The document order is preserved.

Parameters
  `that -` ...
Returns
  ...

`override` `def` toString : java.lang.String

`` `def` text : java.lang.String